#!/bin/sh
echo 'name: data-pprint
version: 0.2.1.4
id: data-pprint-0.2.1.4-64e2d51858fb56949ed1b4fbd771c8a9

license: BSD3
copyright:
maintainer: divip@aszt.inf.elte.hu
stability: beta
homepage:
package-url:
synopsis: Prettyprint and compare Data values
description: Prettyprint and compare Data values.
             .
             *   Size limit for the output
             .
             *   Time limit for the computation
             .
             *   Escape exceptions
             .
             *   Do not escape unicode characters
             .
             *   Comparison: Highlight the first difference
             .
             *   Comparison: Yes, No or Maybe results
             .
             Probably you need only the '\''pprint'\'' and '\''(===)'\'' functions from the "Data.PPrint" module.
             .
             Usage examples:
             .
             > pprint [1..]
             > pprint $ repeat [1..]
             > pprint $ iterate (*10) 1
             > pprint $ map length $ replicate 5 [1..] ++ repeat []
             > pprint [2 `div` 0, error "xxx", 18, 4 `div` 0]
             > [1..10] === reverse [10,9..1]
             > [1..10] === reverse [10..1]
             > reverse [10..] === [1..]
             > [1..] === [1..99] ++ [101..]
             > ([1..], [1..]) === ([1..], [1..100])
             > (error "x", [1..]) === (0 `div` 0, reverse [1..])
             > error ("xx" ++ show (length [1..])) === 1
             > error ("xx" ++ error "yy") === 1
             > (error $ unlines $ replicate 300 "xxxxxxxxxxxxxxxxxxxxxxxxxxx") === 1
             > pprint ['\''a'\''..]
             > pprint $ "hello" ++ [error "x"] ++ "world!"
             .
             See also <http://pnyf.inf.elte.hu/fp/Show_en.xml>
             .
             Changes since 0.1: Refactoring, proper handling of nested errors
category: Testing, Text
author: Péter Diviánszky
exposed: True
exposed-modules: Data.PPrint Data.Data.Eval Data.Data.Compare
                 Data.Data.GenRep Data.Data.GenRep.Functions Data.Data.GenRep.Doc
                 Control.Exception.Pure System.SimpleTimeout
                 System.SimpleTimeout.Limits System.IO.Parallel
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/ghc-7.4.2/cabal/data-pprint-0.2.1.4
library-dirs: /usr/local/lib/ghc-7.4.2/cabal/data-pprint-0.2.1.4
              /usr/local/lib
hs-libraries: HSdata-pprint-0.2.1.4
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.5.1.0-12fddc14a7babb909dd3843e453b5660
         deepseq-1.3.0.0-c8a9e8b538aecb7581533b9c1d19faed
         mtl-2.1.2-cf6082d8d4c6758d23401302efadd028
         parallel-3.2.0.3-0c734151f27a50a329a35e705f0ba330
         pretty-1.1.1.0-867dcdeb02592f3d2a707618561c7b86
         time-1.4-b8e1c3d423daa1e2c5470a82caf23b52
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.4.2/cabal/data-pprint-0.2.1.4/html/data-pprint.haddock
haddock-html: /usr/local/share/doc/ghc-7.4.2/cabal/data-pprint-0.2.1.4/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
